aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorTobias Brunner <tobias@strongswan.org>2014-03-01 08:49:52 +0100
committerTobias Brunner <tobias@strongswan.org>2014-03-20 15:49:05 +0100
commit60a0bb67674bb472ce69564ebd0cc98c8ca6256c (patch)
tree1611292ddb6eefd4e023d5c95bc910db56c55edc /scripts
parentd62b66364684042cc9c5edc4d97101bdd597c00b (diff)
downloadstrongswan-60a0bb67674bb472ce69564ebd0cc98c8ca6256c.tar.bz2
strongswan-60a0bb67674bb472ce69564ebd0cc98c8ca6256c.tar.xz
travis: Install dependencies for each test dynamically
Since the installation of all packages alone takes several minutes this should speed up some test cases.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/test.sh b/scripts/test.sh
index 9b38c1136..30e851e31 100755
--- a/scripts/test.sh
+++ b/scripts/test.sh
@@ -9,14 +9,18 @@ cd $TRAVIS_BUILD_DIR
TARGET=check
+DEPS="libgmp-dev"
+
case "$TEST" in
default)
;;
openssl)
CONFIG="--disable-defaults --enable-tools --enable-openssl"
+ DEPS="libssl-dev"
;;
gcrypt)
CONFIG="--disable-defaults --enable-tools --enable-gcrypt --enable-pkcs1"
+ DEPS="libgcrypt11-dev"
;;
all)
CONFIG="--enable-all --disable-android-dns --disable-android-log
@@ -29,6 +33,10 @@ all)
CONFIG="$CONFIG --disable-vstr"
# TODO: enable? perhaps via coveralls.io (cpp-coveralls)?
CONFIG="$CONFIG --disable-coverage"
+ DEPS="$DEPS libcurl4-gnutls-dev libsoup2.4-dev libunbound-dev libldns-dev
+ libmysqlclient-dev libsqlite3-dev clearsilver-dev libfcgi-dev
+ libnm-glib-dev libnm-glib-vpn-dev libpcsclite-dev libpam0g-dev
+ binutils-dev libunwind7-dev"
;;
dist)
TARGET=distcheck
@@ -39,6 +47,11 @@ dist)
;;
esac
+if test "$1" = "deps"; then
+ sudo apt-get install -qq $DEPS
+ exit $?
+fi
+
CONFIG="$CONFIG
--enable-silent-rules
--enable-test-vectors